$("#temp").on('click', function() {
    $('#temperatura').modal('show');
    let temperatura = document.querySelector("#rtemperatur").value = "";
    let huemada = document.querySelector("#rhumeda").value = "";
    let frio = document.querySelector("#rfrio").value = "";
    let fechatempe = document.querySelector("#rfechatem").value = "";
    document.querySelector("#realizado").value = "";
    let jornada = document.querySelector("#jornada");
    var fechad = new Date();
    let hora = fechad.getHours();

    if (hora > 12) {
        jornada.innerHTML = ("<option selected>Tarde</option> <option>Mañana</option>")
    } else {
        jornada.innerHTML = ("<option selected>Mañana</option> <option>Tarde</option>")
    }

});




function mostrarventatemperaturas() {
    $('#temperatura').modal('show');
    let temperatura = document.querySelector("#rtemperatur").value = "";
    let huemada = document.querySelector("#rhumeda").value = "";
    let frio = document.querySelector("#rfrio").value = "";
    let fechatempe = document.querySelector("#rfechatem").value = "";
    document.querySelector("#realizado").value = "";
    let jornada = document.querySelector("#jornada");
    var fechad = new Date();
    let hora = fechad.getHours();

    if (hora > 12) {
        jornada.innerHTML = ("<option selected>Tarde</option> <option>Mañana</option>")
    } else {
        jornada.innerHTML = ("<option selected>Mañana</option> <option>Tarde</option>")
    }

}

function horatemperat() {
    var fecha = new Date();
    let hora = fecha.getHours();
    let minutos = fecha.getMinutes();

    console.log("hora  " + hora + "  minuto " + minutos)

    let horaAlarma1 = "10";
    let minutAlarma1 = "30";

    let horaAlarma2 = "16";
    let minutAlarma2 = "20";

    if (hora == horaAlarma1 && minutos == minutAlarma1) {

        mostrarventatemperaturas()

    }
    if (hora == horaAlarma2 && minutos == minutAlarma2) {
        mostrarventatemperaturas()
    }


}

function guardarTemperatur() {

    let bodega = document.getElementById("idbodegas").value;

    let temperatura = document.querySelector("#rtemperatur").value;
    let huemada = document.querySelector("#rhumeda").value;
    let frio = document.querySelector("#rfrio").value;
    let fechatempe = document.querySelector("#rfechatem").value;
    let jornada = document.querySelector("#jornada").value;
    let realizado = document.querySelector("#realizado").value;
    if (temperatura == "" || huemada == "" || frio == "" || realizado == "") {

        alert("Complete los campo solicitados");

    } else {
        fetch("../controlador/config/temperatura.php", {
                method: 'POST', // or 'PUT'
                body: JSON.stringify({
                    "tempertura": temperatura,
                    "humedad": huemada,
                    "frio": frio,
                    "fechatem": fechatempe,
                    "jornada": jornada,
                    "realizado": realizado,
                    "bodega":bodega
                }),
                // headers: {
                //     'Content-Type': 'application/json'
                // }
            }).then(res => res.text())
            .catch(error => console.log(error))
            .then(response => {
                alert(response)
                $("#salirt").click();


            });


    }

}

//guardar temperatura
document.querySelector("#guardartem").addEventListener("click", function() {
    guardarTemperatur();

});

if(ActivarTemperatura=="1" ||ActivarTemperatura==1 ){
    let tiempo = setInterval(horatemperat, 40000);
}
